|  | Home | Documentation | saml1__AuthorityBindingType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml1__AuthorityBindingType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AuthorityBindingType is a complexType. More...

`#include <saml1.h>`

## Public Attributes

_QName | AuthorityKind
| Attribute "AuthorityKind" of type xs:QName.
char * | Location
| Attribute "Location" of type xs:anyURI.
char * | Binding
| Attribute "Binding" of type xs:anyURI.

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AuthorityBindingType is a complexType.

Note
  struct saml1__AuthorityBindingType operations:
  - saml1__AuthorityBindingType* soap_new_saml1__AuthorityBindingType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__AuthorityBindingType(struct soap*, saml1__AuthorityBindingType*) default initialize members
  - int soap_read_saml1__AuthorityBindingType(struct soap*, saml1__AuthorityBindingType*) deserialize from a source
  - int soap_write_saml1__AuthorityBindingType(struct soap*, saml1__AuthorityBindingType*) serialize to a sink
  - saml1__AuthorityBindingType* soap_dup_saml1__AuthorityBindingType(struct soap*, saml1__AuthorityBindingType* dst, saml1__AuthorityBindingType <em>src) returns deep copy of saml1__AuthorityBindingType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__AuthorityBindingType(saml1__AuthorityBindingType
  ) deep deletes saml1__AuthorityBindingType data members, use only on dst after soap_dup_saml1__AuthorityBindingType(NULL, saml1__AuthorityBindingType *dst, saml1__AuthorityBindingType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ AuthorityKind

_QName saml1__AuthorityBindingType::AuthorityKind

Attribute "AuthorityKind" of type xs:QName.

Required attribute.

## ◆ Binding

char* saml1__AuthorityBindingType::Binding

Attribute "Binding" of type xs:anyURI.

Required attribute.

## ◆ Location

char* saml1__AuthorityBindingType::Location

Attribute "Location" of type xs:anyURI.

Required attribute.

The documentation for this struct was generated from the following file:

- saml1.h